PDA

Visualizza la versione completa : red hat 9, APACHE/2.0.40


mardux
24-09-2004, 13:34
ciao a tutti.

ho installato red hat 9 comprensiva di apache 2.0.40.

funziona. digitando localhost risponde apache.

ora volevo configurarla nel modo ottimale, magari sfruttando anche gli host virtuali..

mi sono rifatto a questa (http://freephp.html.it/guide/lezioni.asp?idguida=6) bella guida ma basata su apache 1.3 e molte cose, a partire da alcuni file nn coincidono come nome e come posizione, quindi sono bloccato nella configurazione.

conoscete una guida simile relativa alla versione 2?

ho gi cercato sul forum e in rete ma senza risultati utili..

grazie

mardux
24-09-2004, 18:43
alla fine ho tolto la 2.0 e mi accingo a installare la 1.3

ho scaricato il file *.gz, l'ho scompattato in una dir e mi trovo tutti i file e le dir pronte x l'uso..


ora scusate la stupida domanda ma come lo compilo?? :fagiano: :fagiano:
quale file faccio partire e come??
:fagiano: :fagiano:
una cosa che nn ho mai fatto e mi servirebbe aiuto..

grazie

mardux
27-09-2004, 13:25
aggiorno..

seguendo questo (http://openskills.info/livebooks/statics/apache_-_installazione_e_configurazione/installare_e_compilare_apache.htm) tutorial mi dirigo da shell nella cartella in cui ho scompattato apache 1.3 e lancio il seguente comando:
-----------
[root@LinuxWebServer apache_1.3.31]# ./configure --prefix=/usr/local/apache
Configuring for Apache, Version 1.3.31
+ using installation path layout: Apache (config.layout)
Creating Makefile
Creating Configuration.apaci in src
Creating Makefile in src
+ configured for Linux platform
Error: could not find any of these C compilers
anywhere in your PATH: gcc cc acc c89
Configure terminated
[root@LinuxWebServer apache_1.3.31]#
-------------
come vedete v in errore, sembra che nn trovi un compilatore , anche se presente:
--------
[root@LinuxWebServer apache_1.3.31]# gcc296 --version
2.96
[root@LinuxWebServer apache_1.3.31]#
------------

che devo fare?

l.golinelli
27-09-2004, 13:36
Installare GCC...
Perch nopn prendi l'RPM di Apache 1.3?
Consiglio: rimetti il 2.0, se fai una ricerca qualcosa trovi sul 2.0

makuro
27-09-2004, 13:55
Prova magari a vedere se il config permette di specificare il percorso dei compilatori.

./configure --help | grep compilers

Se si, inserisci il percorso del tuo gcc

which gcc

E poi prega. :zizi:

:ciauz:

mardux
27-09-2004, 17:53
allenuia!!

installando gcc la compilazione andata a buon fine.

finalmente apache 1.3 s e funzionante.. ora proviamo la configurazione.. :stordita: :stordita:

grazie a tutti

Loading